FAQ

23 views
Skip to first unread message

Valery35

unread,
Sep 10, 2008, 1:34:21 AM9/10/08
to GIS Planet
Requirements
ArcGis v.9x with .NET support

Microsoft Framework v.1.1

ArcGIS 9x last Service Pack
Note

We began now use Net v.2.0
Procedure of deployment Net 2.0

Deployment of the application

The program has standard procedure of installation for exterior
extensions of the ArcGIS9x + .NET - you should start the program.msi
file. If not it is stipulated especially, the same file of the
subsequent versions is renewal.
The program becomes active in a condition of the trial version. When
time of use is expired it is necessary to receive and enter an
individual registration code.
Language of the extension interface is selected automatically
depending on regional and language settings of the operating system -
Russian or English.
Problems and errors

Q: Program is not install. I see error "Unable to get installer types
in the c:\program files\giscenter\...\*.dll assembly.---> One or more
of the types in the assembly unable to load" What do you suggest?

A: It means that .NET support is not installed.

Install .NET support for ArcGIS 9.0 and 9.1

For correct installation of .NET support, you should have local
administrative privileges.
If you installed the Microsoft .Net Framework v1.1 prior to installing
ArcGIS 9.0 then the ESRI Net support will have been automatically
installed.
If the Net Framework v1.1 was installed after ArcGIS 9.0 then the
following steps have be made to install the ESRI Net support. You can
also follow the steps below to validate installation of the ESRI Net
support.

1) Install Microsoft Framework 1.1
2) Display the Add or Remove Programs dialog from the Windows Control
Panel (see How to Uninstall above for details),
3) Select ArcGIS Desktop from the list of installed programs
4) Click the Change button to launch the installer. (at this point you
may be asked for the source media or access to a network folder that
was used to install ArcGIS Desktop)
5) Select Modify and then click Next >. The following dialog will
appear listing all the current installed components of ArcGIS 9.
6) Click on .NET Support and select "Will be installed on local hard"
7) Click Next>
8) At the confirmation prompt click Next > again.
9) As the new files are installed the following progress dialog will
appear. If necessary, the installation can be cancelled by clicking
the Cancel button, but this is strongly not recommended.
10) Finally click Finish from the installation wizard


Install .NET support for ArcGIS 9.2

For ArcGIS 9.2 need inext steps (thanks to Jayme Laber):
"After some research on the ESRI web site I found the solution. When
running ArcView 9.2 you need to install Microsoft Net 2.0 rather than
Microsoft Net 1.1. Once I installed Net version 2, I was able to
continue through the instructions and was able to complete steps 2 -
10 with no problems. I would suggest a post to your support page that
alerts your users to this situation and its solution."
See also 1 and 2 .
Toolbar is grayed out

Q: I have installed extension and added the toolbar to my ArcMap
session but none of the menu choices except 'About' ever appear as
anything but grayed out. What needs to be done to activate the other
menu choices?
A: After installation in ArcMap there is a new tool, which it is
necessary to make active in a window Tools> Extensions> and check
Program
An error occurred while installing

Q. While installing the extension, we get the following error message
“An error occurred while installing. This exception will be ignored
and the uninstall will continue...... -->cannot delete subkey tree
because subkey does not exist.” What is the reason of that and what
shall we do?
A. The reasons: The error comes when you are installing the new
version of the extension above an old version, in the case when you
have installed the old version with an old version of the ArcGIS
Service Pack. The error of this type is a typical one for .NET
applications, and have a nature of mis-matching versions of the ESRI
interoperability library, which have different numbers within ArcGIS.
The error is not fixed by the manufacturer of the core program.
What to do? If you have the installer of the previous version, run the
installation once again, and then uninstall it. The following
installation of a newer module will run smoothly. Another way to solve
this problem is to go to the Control Panels - Add/Remove programs –
Click on the extension (remove) and the Program will give you several
options: Remove and Repair. If you click on “Repair” it will ask for a
path to the original installer file. After repairing you could un-
install the old version.
If the old version of installer no longer exist. In this case try to
solve this problem by going to the Control Panels - Add/Remove
programs – Click on the extension (remove) and the Program will give
you several options: Remove and Repair. If you click on “Repair” it
will ask for a path to the original installer file. Specify the path
to a new installer. After repairing you could un-install the program.
If it does not work. Go to start menu, click on the “Run” in the start
menu and type “Reget” (or if you have another editor of registry, use
it). Then manually remove the following keys HKEY_CURRENT_USER\Software
\Microsoft\Installer in the subdivisions: Assemblies, Features,
Products, UpgradeCodes. Each of this subkeys have information of the
products (ArgosTools, Slicemaker, Typeconvert and others). In the
subkesy Products find the code of the product (click on the every
subkey and find what is its ProductName). Search the registry using
this “ProductName” and delete all strings with this “ProductName”.
Error 1904: failed to register

Q. Program is not install. I see error "Error 1904: failed to register
C:\Program Files\ArcGIS\Bin\xmlsupportui.dll or 3dsymbolsui.dll" What
do you suggest?
A. Answer see on ESRI support page
Geoprocessing error

Q. I was hoping to try your software, but, keep getting this error

http://3252106754837934000-a-geoblogspot-com-s-sites.googlegroups.com/a/geoblogspot.com/applications/resources/image001.jpg?attredirects=0

A: We'll fix this problem as soon as possible, but at this time you
can try to do following:
1. Right click on 'Export to KML' and choose 'Delete'
2. Right clik on 'KMLer' toolbox and choose 'Add -> Tool'
3. In the appeared window check 'KMLer Tools' and click Ok. The tool
will be added in toolbox
By the way, all main KMLer functions are realized as an extension in
the ArcMap
Notes

1. Restrictions on feature class names and field names in
geodatabases.
As against shapefile, feature class name and field names in
geodatabase must not start with digit, a space and "_" character. Also
they must not contain punctuation marks, brackets, quotes and * $ % *
+ - = / \ | characters.
2. For *.shp files ArcGIS doesn't support field names with length more
than 10 characters.
Reply all
Reply to author
Forward
0 new messages